Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QChildEvent Class Reference

The QChildEvent class contains event parameters for child object events. More...

    #include <QChildEvent>

Inherits QEvent.

- List of all members, including inherited members
- Compatibility members

### Public Functions

- QChildEvent ( Type type, QObject * child )
- bool added () const
- QObject * child () const
- bool polished () const
- bool removed () const

- 2 public functions inherited from QEvent

## Detailed Description

The QChildEvent class contains event parameters for child object events.

Child events are sent immediately to objects when children are added or removed.

In both cases you can only rely on the child being a QObject, or if isWidgetType() returns true, a QWidget. This is because in the `ChildAdded` case the child is not yet fully constructed; in the `ChildRemoved` case it might have already been destructed.

The handler for these events is QObject::childEvent().

## Member Function Documentation

### QChildEvent::QChildEvent ( Type type, QObject * child )

Constructs a child event object of a particular type for the child.

### bool QChildEvent::added () const

Returns true if a child has been added to the object; otherwise returns false.

### QObject * QChildEvent::child () const

Returns the child object that was added or removed.

### bool QChildEvent::polished () const

### bool QChildEvent::removed () const

Returns true if a child has been removed from the object; otherwise returns false.